"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _default = {
  readJsonFile: function readJsonFile(absoluteFilePath) {
    if (!_fs["default"].existsSync(absoluteFilePath)) {
      return null;
    }

    var contents = _fs["default"].readFileSync(absoluteFilePath, 'utf8');

    if (!contents) {
      // Protect against trying to parse empty files.
      return null;
    }

    return JSON.parse(contents);
  },
  readJsFile: function readJsFile(absoluteFilePath) {
    if (!_fs["default"].existsSync(absoluteFilePath)) {
      return null;
    } // Clear the require cache so that the file is read every time.


    delete require.cache[absoluteFilePath]; // eslint-disable-next-line global-require, import/no-dynamic-require

    return require(absoluteFilePath);
  }
};
exports["default"] = _default;