"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = findPackageDependencies;

var _path = _interopRequireDefault(require("path"));

var _FileUtils = _interopRequireDefault(require("./FileUtils"));

/**
 * Finds dependencies from package.json
 */
function findPackageDependencies(workingDirectory, includeDevDependencies) {
  var packageJson = _FileUtils["default"].readJsonFile(_path["default"].join(workingDirectory, 'package.json'));

  if (!packageJson) {
    return new Set([]);
  }

  var keys = ['dependencies', 'peerDependencies'];

  if (includeDevDependencies) {
    keys.push('devDependencies');
  }

  var result = new Set();
  keys.forEach(function (key) {
    if (Object.prototype.hasOwnProperty.call(packageJson, key)) {
      Object.keys(packageJson[key]).forEach(function (packageName) {
        result.add(packageName);
      });
    }
  });
  return result;
}