"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = findProjectRoot;

var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof"));

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

var _FileUtils = _interopRequireDefault(require("./FileUtils"));

var isWinDriveRoot = /^[A-Z]:\\$/;

function isRootPackageJson(path) {
  if (!_fs["default"].existsSync(path)) {
    return false;
  }

  var packageJson = _FileUtils["default"].readJsonFile(path);

  if ((0, _typeof2["default"])(packageJson) === 'object' && 'importjs' in packageJson && 'isRoot' in packageJson.importjs) {
    return packageJson.importjs.isRoot;
  }

  return true;
}

function findRecursive(directory) {
  if (directory === '/' || isWinDriveRoot.test(directory)) {
    throw new Error('No project root found, looking for a directory with a package.json file.');
  }

  var pathToPackageJson = _path["default"].join(directory, 'package.json');

  var pathToImportJs = _path["default"].join(directory, '.importjs-root');

  if (isRootPackageJson(pathToPackageJson) || _fs["default"].existsSync(pathToImportJs)) {
    return directory;
  }

  return findRecursive(_path["default"].dirname(directory));
}

function makeAbsolute(pathToFile) {
  if (_path["default"].isAbsolute(pathToFile)) {
    return pathToFile;
  }

  return _path["default"].join(process.cwd(), pathToFile);
}

function findProjectRoot(pathToFile) {
  return findRecursive(_path["default"].dirname(makeAbsolute(pathToFile)));
}