"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = lastUpdate;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function lastUpdate(pathToFile, workingDirectory) {
  return new Promise(function (resolve, reject) {
    _fs["default"].lstat(_path["default"].join(workingDirectory, pathToFile), function (err, stat) {
      if (err) {
        reject(err);
        return;
      }

      resolve({
        path: pathToFile,
        mtime: stat ? stat.mtime.getTime() : undefined
      });
    });
  });
}

lastUpdate.failSafe = function (pathToFile, workingDirectory) {
  return new Promise(function (resolve) {
    lastUpdate(pathToFile, workingDirectory).then(resolve)["catch"](function () {
      return resolve({
        path: pathToFile,
        mtime: 0
      });
    });
  });
};