"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = normalizePath;

function normalizePath(rawPath, workingDirectory) {
  if (!rawPath) {
    return './';
  }

  if (rawPath.startsWith(workingDirectory)) {
    return ".".concat(rawPath.slice(workingDirectory.length));
  }

  if (rawPath.startsWith('/')) {
    return ".".concat(rawPath);
  }

  if (rawPath === '.' || rawPath.startsWith('./') || rawPath.startsWith('../')) {
    return rawPath;
  }

  return "./".concat(rawPath);
}