"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = requireResolve;

var _path = _interopRequireDefault(require("path"));

/**
 * Thin wrapper around `require.resolve()` to avoid errors thrown, and to make
 * it easier to mock in tests.
 */
function requireResolve(absolutePath) {
  if (!_path["default"].isAbsolute(absolutePath)) {
    throw new Error("Path must be absolute: ".concat(absolutePath));
  }

  try {
    return require.resolve(absolutePath);
  } catch (e) {
    if (/^Cannot find module/.test(e.message)) {
      return absolutePath;
    }

    throw e;
  }
}